###############
# Device Detector - The Universal Device Detection library for parsing User Agents
#
# @link http://piwik.org
# @license http://www.gnu.org/licenses/lgpl.html LGPL v3 or later
###############

- regex: 'Wget(?:/(\d+[\.\d]+))?'
  name: 'Wget'
  version: '$1'

- regex: 'Guzzle(?:/(\d+[\.\d]+))?'
  name: 'Guzzle (PHP HTTP Client)'
  version: '$1'

- regex: '(?:lib)?curl(?:/(\d+[\.\d]+))?'
  name: 'curl'
  version: '$1'

- regex: 'python-requests(?:/(\d+[\.\d]+))?'
  name: 'Python Requests'
  version: '$1'

- regex: 'Python-urllib(?:/?(\d+[\.\d]+))?'
  name: 'Python urllib'
  version: '$1'

- regex: 'Java(?:/?(\d+[\.\d]+))?'
  name: 'Java'
  version: '$1'

- regex: '(?:perlclient|libwww-perl)(?:/?(\d+[\.\d]+))?'
  name: 'Perl'
  version: '$1'

- regex: 'okhttp/([\d\.]+)'
  name: 'OkHttp'
  version: '$1'

- regex: 'HTTP_Request2(?:/(\d+[\.\d]+))?'
  name: 'HTTP_Request2'
  version: '$1'

- regex: 'HTTP_Request2(?:/(\d+[\.\d]+))?'
  name: 'HTTP_Request2'
  version: '$1'
  url: 'http://pear.php.net/package/http_request2'

- regex: 'Mechanize(?:/(\d+[\.\d]+))?'
  name: 'Mechanize'
  version: '$1'
  url: 'http://github.com/sparklemotion/mechanize/'

- regex: 'aiohttp(?:/(\d+[\.\d]+))?'
  name: 'aiohttp'
  version: '$1'

- regex: 'Google-HTTP-Java-Client(?:/(\d+[\.\d\w-]+))?'
  name: 'Google HTTP Java Client'
  version: '$1'

- regex: 'WWW-Mechanize(?:/(\d+[\.\d]+))?'
  name: 'WWW-Mechanize'
  version: '$1'

- regex: 'Faraday(?: v(\d+[\.\d]+))?'
  name: 'Faraday'
  version: '$1'

- regex: '(?:Go-http-client|Go )/?(?:(\d+[\.\d]+))?(?: package http)?'
  name: 'Go-http-client'
  version: '$1'